%define src_ver 1.1
%define languagelocal gaeilge
%define languageeng irish
%define languagecode ga

Summary: 	Irish files for ispell
Name: 		ispell-%{languagecode} 
Version: 	%{src_ver}
Release: 	4mdk
URL: 		http://borel.slu.edu/~kps/ispell/index.html
Source:		http://borel.slu.edu/~kps/ispell/ispell-gaeilge-%{src_ver}.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRequires:	ispell
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-ga

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: iirish
Obsoletes: ispell-gaeilge

%description
This is an Irish  dictionary for ispell.

%prep
%setup -n ispell-gaeilge-%{src_ver}
sort -f gaeilge.raw gaeilge.mor biobla daoine giorr logainm  > gaeilgemor.hash
mv -f gaeilge.raw gaeilge.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash
install -m 644 %{languagelocal}mor.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}mor.aff
install -m 644 %{languagelocal}mor.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}mor.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell
mv -f %{languagelocal}mor.hash %{languagelocal}mor.ispell
buildhash %{languagelocal}mor.ispell %{languagelocal}mor.aff %{languagelocal}mor.hash &> /dev/null
rm -f %{languagelocal}mor.ispell.stat %{languagelocal}mor.ispell.cnt %{languagelocal}mor.ispell

%files
%defattr(644, root, root,755)
%doc COPYING README 
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 1.1-4mdk
- add tag Provides spell-ga

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-3mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-2mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-1mdk
- rebuild for new ispell
- updated dictionnary

* Wed Oct 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7-7mdk
- BuildRequires:	ispell
- Copyright --> License

* Wed Jan 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-6mdk
- install man page

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.7-5mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.7-4mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-3mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7-2mdk
- adapted to new Group: naming

* Thu Feb 03 2000 <pablo@mandrakesoft.com>
- adapted to Linux Mandrake (bzip2'ed man page, etc)
- made a symlink for compatibility with LaTeX babel language names (used by
  LyX/KlyX spell checking)

* Thu Oct 30 1997 <mckinstry@computer.org>
- Fixed irish-prefixes.pl; more words.
	
* Wed Oct 29 1997 <mckinstry@computer.org>
- Added gaeilge.4 man page;
- more corrections. 
	
* Thu Oct 8 1997 <mckinstry@computer.org>
- Changed to BuildArchitectures: noarch

* Tue Sep 30 1997 <mckinstry@computer.org>
- Initial Release.
